# Uses of Enum
org.jsoup.nodes.Document.OutputSettings.Syntax

Packages that use Document.OutputSettings.Syntax
Package
Description
org.jsoup.nodes
HTML document structure nodes.

## Uses of Document.OutputSettings.Syntax in org.jsoup.nodes

Methods in org.jsoup.nodes that return Document.OutputSettings.Syntax
Modifier and Type
Method
Description
`Document.OutputSettings.Syntax`
Document.OutputSettings.`syntax()`
Get the document's current output syntax.
`static Document.OutputSettings.Syntax`
Document.OutputSettings.Syntax.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Document.OutputSettings.Syntax[]`
Document.OutputSettings.Syntax.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jsoup.nodes with parameters of type Document.OutputSettings.Syntax
Modifier and Type
Method
Description
`static String`
Attribute.`getValidKey(String key, Document.OutputSettings.Syntax syntax)`
`Document.OutputSettings`
Document.OutputSettings.`syntax(Document.OutputSettings.Syntax syntax)`
Set the document's output syntax.